import QtQuick 1.1;
import com.nokia.meego 1.0;

Page {
	id: launcherPage;
	anchors.margins: rootWin.pageMargin;

	ListView {
		id: launcherView
		height: parent.height;
		width: parent.width;
		spacing: 10;
		model: appsModel;
		delegate: appDelegate;
		cacheBuffer: 100;
	}

	Component {
		id: appDelegate;

		Item {
			height: appIcon.height;
			width: launcherView.width;

			Image {
				id: appIcon;
				anchors.left: parent.left;
				smooth: true;
				source: model.icon;
				height: 80;
				width: 80;
			}

			Label {
				id: appName;
				height: appIcon.height;
				width: parent.width - appIcon.width - 20 - 32; 
				font.bold: true;
				font.pixelSize: 20;
				anchors.top: appIcon.top;
				anchors.left: appIcon.right;
				anchors.leftMargin: 16;
				text: model.name;
				verticalAlignment: Text.AlignVCenter;
			}

			MouseArea {
				anchors.fill: parent;
				z: -1;
				onClicked: {
					rootWin.launch(model.wgtpath, model.path, model.startfile);
				}
			}

		}

	}

}
